PHP Manual
Prev |  | Next

# DOMCharacterData->substringData()

(no version information, might be only in CVS)

DOMCharacterData->substringData() -- Extracts a range of data from the node

## Description

class DOMCharacterData {
string substringData ( int offset, int count )
}

Returns the specified substring.

## Parameters

`offset`

  Start offset of substring to extract.

`count`

  The number of characters to extract.

## Return Values

The specified substring. If the sum of `offset` and `count` exceeds the length, then all 16-bit units to the end of the data are returned.

## Errors/Exceptions

`DOM_INDEX_SIZE_ERR`

  Raised if `offset` is negative or greater than the number of 16-bit units in data, or if `count` is negative.

## See Also

DOMCharacterData->appendData()
DOMCharacterData->deleteData()
DOMCharacterData->insertData()
DOMCharacterData->replaceData()

Prev | Home | Next
DOMCharacterData->replaceData() | Up | DOMComment->__construct()